DataView

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fenalco.servlets.shopkeeper
Class DataView

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              com.fenalco.servlets.shopkeeper.DataView

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

    public class DataView

extends javax.servlet.http.HttpServlet

Este servlet carga la información que se necesita en misdatos.jsp

Author:
  Mario Linares Vásquez
See Also:
  Serialized Form

Constructor Summary
`DataView()`

Method Summary
`void` | `destroy()` Método destructor
`protected void` | `doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Procesa el método HTTP `GET`.
`protected void` | `doPost(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Procesa el método HTTP `POST`.
`java.lang.String` | `getServletInfo()` Retorna una breve descripción de el servlet.
`void` | `init(javax.servlet.ServletConfig config)` Inicializa el servlet.
`protected void` | `processRequest(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Este servlet carga la información que se necesita en misdatos.jsp, la cual es la siguiente: - sectorList: Lista de sectores económicos con la cual se construye el selector sector.

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataView

    public DataView()

Method Detail

### init

    public void init(javax.servlet.ServletConfig config)
              throws javax.servlet.ServletException

  Inicializa el servlet.

  Specified by:
    `init` in interface `javax.servlet.Servlet`
  Overrides:
    `init` in class `javax.servlet.GenericServlet`
  Parameters:
    `config` -
  Throws:
    `javax.servlet.ServletException`

### destroy

    public void destroy()

  Método destructor

  Specified by:
    `destroy` in interface `javax.servlet.Servlet`
  Overrides:
    `destroy` in class `javax.servlet.GenericServlet`

### processRequest

    protected void processRequest(javax.servlet.http.HttpServletRequest request,
                                  javax.servlet.http.HttpServletResponse response)
                           throws javax.servlet.ServletException,
                                  java.io.IOException

  Este servlet carga la información que se necesita en misdatos.jsp, la cual es la siguiente: - sectorList: Lista de sectores económicos con la cual se construye el selector sector. Esta lista se obtiene llamando al método `getSectors` de la clase `DataAccess` - companyTypes: lista de tipos de compañias. Esta lista se obtiene llamando al método `getCompanyTypes` de la clase `DataAccess` - citiesList: lista de ciudades. Esta lista se obtiene llamando al método `getCities` de la `clase DataAccess`. - countriesList: lista de paises. Esta lista se obtiene llamando al método `getCountries` de la clase `DataAccess` - provincesList: lista de departamentos. esta lista se obtiene llamando al método `getProvinces` de la clase`DataAccess` - neighbourhoodsList. lista de barrios. Esta lista se obtiene llamando al método `getNeighbourhoods` de la clase `DataAccess` - zonesList. Lista de zonas. Esta lista se obtiene llamando al método `getZones` de la clase `DataAccess` - ciiuList. Lista de ciiu. Esta lista se obtiene llamando al método `getCiiu` de la clase `DataAccess` Nota: todos los métodos de la clase `DataAccess` son estáticos, por lo tanto no hay que instanciar esta clase. Además de esos listados, se deben cargar los datos de la empresa, para ello se crea un objeto de tipo `Company` pasandole al constructor el id de la empresa que se encuentra en la información del usuario (toda la información) del usuario se encuentra en la sesión.) Nota: en el jsp primero se debe cargar únicamente la lista de los paises, y cuando el usuario seleccione un país, se le debe mostrar la lista de los departamentos asociados a dicho país, cuando seleccione un departamento se le debe mostrar la lista de todas las ciudades asociadas a ese departamento, y cuando seleccione una ciudad se le debe mostrar la lista de barrios asociados a dicha ciudad. Por lo tanto este servlet debe recibir los siguientes parámetros para realizar la carga de datos. - country: id del país seleccionado, si este parámetro no viene, no se cargan las demás listas, si viene se carga la lista de departamentos de dicho país - province: id del departamento seleccionado, si no viene no se cargan las listas de ciudad ni de barrio, si viene, se carga la lista de todas las ciudades asociadas a ese departamento. - city: id de la ciudad seleccionada, si no viene, no se carga la lista de barrios, si viene, se carga la lista de barrios asociados a esta ciudad.

  Parameters:
    `request` - servlet request
    `response` - servlet response
  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### doGet

    protected void doGet(javax.servlet.http.HttpServletRequest request,
                         javax.servlet.http.HttpServletResponse response)
                  throws javax.servlet.ServletException,
                         java.io.IOException

  Procesa el método HTTP `GET`.

  Overrides:
    `doGet` in class `javax.servlet.http.HttpServlet`
  Parameters:
    `request` - servlet request
    `response` - servlet response
  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### doPost

    protected void doPost(javax.servlet.http.HttpServletRequest request,
                          javax.servlet.http.HttpServletResponse response)
                   throws javax.servlet.ServletException,
                          java.io.IOException

  Procesa el método HTTP `POST`.

  Overrides:
    `doPost` in class `javax.servlet.http.HttpServlet`
  Parameters:
    `request` - servlet request
    `response` - servlet response
  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### getServletInfo

    public java.lang.String getServletInfo()

  Retorna una breve descripción de el servlet.

  Specified by:
    `getServletInfo` in interface `javax.servlet.Servlet`
  Overrides:
    `getServletInfo` in class `javax.servlet.GenericServlet`
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD